org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_PAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_PAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_PAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_PAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_PAGENode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_PAGENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindEnablescrolling(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindShowfooter(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindShowheader(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindShownavbutton(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_PAGENode` | `setActionListener(java.lang.String value)`
    `UI5M_PAGENode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_PAGENode` | `setAttributemacro(java.lang.String value)`
    `UI5M_PAGENode` | `setComment(java.lang.String value)`
    `UI5M_PAGENode` | `setConfiginfo(java.lang.String value)`
    `UI5M_PAGENode` | `setEnablescrolling(java.lang.String value)`
    `UI5M_PAGENode` | `setId(java.lang.String value)`
    `UI5M_PAGENode` | `setLayoutdata(java.lang.String value)`
    `UI5M_PAGENode` | `setReference(java.lang.String value)`
    `UI5M_PAGENode` | `setRendered(boolean value)`
    `UI5M_PAGENode` | `setRendered(java.lang.String value)`
    `UI5M_PAGENode` | `setShowfooter(java.lang.String value)`
    `UI5M_PAGENode` | `setShowheader(java.lang.String value)`
    `UI5M_PAGENode` | `setShownavbutton(java.lang.String value)`
    `UI5M_PAGENode` | `setStyleseq(java.lang.String value)`
    `UI5M_PAGENode` | `setStylevariant(java.lang.String value)`
    `UI5M_PAGENode` | `setTitle(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_PAGENode

          public UI5M_PAGENode()

  - ### Method Detail

    - #### setId

          public UI5M_PAGENode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_PAGENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_PAGENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_PAGENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_PAGENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_PAGENode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_PAGENode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_PAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_PAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_PAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnablescrolling

          public UI5M_PAGENode setEnablescrolling(java.lang.String value)

    - #### bindEnablescrolling

          public UI5M_PAGENode bindEnablescrolling(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_PAGENode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_PAGENode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_PAGENode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_PAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_PAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_PAGENode setRendered(boolean value)

    - #### setShowfooter

          public UI5M_PAGENode setShowfooter(java.lang.String value)

    - #### bindShowfooter

          public UI5M_PAGENode bindShowfooter(IDynamicContentBindingObject value)

    - #### setShowheader

          public UI5M_PAGENode setShowheader(java.lang.String value)

    - #### bindShowheader

          public UI5M_PAGENode bindShowheader(IDynamicContentBindingObject value)

    - #### setShownavbutton

          public UI5M_PAGENode setShownavbutton(java.lang.String value)

    - #### bindShownavbutton

          public UI5M_PAGENode bindShownavbutton(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_PAGENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_PAGENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_PAGENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_PAGENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_PAGENode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_PAGENode bindTitle(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.